org.baraza.reports

## Class BWebReport

- java.lang.Object
- - org.baraza.reports.BWebReport

-     public class BWebReport
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BWebReport()`
    `BWebReport(BElement view, String userid, String groupid, javax.servlet.http.HttpServletRequest request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getDirectReport(BDB db, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String reportPath, String reportName)`
    `void` | `getReport(BDB db, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, int reportType)`
    `String` | `getReport(BDB db, String linkValue, javax.servlet.http.HttpServletRequest request, String reportPath)`
    `void` | `setParams(javax.servlet.http.HttpSession session, String filterName, String filterValue)`
    `void` | `setParams(Map<String,String> params)`
    `void` | `setParams(String filterName, String filterValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BWebReport

          public BWebReport()

    - #### BWebReport

          public BWebReport(BElement view,
                    String userid,
                    String groupid,
                    javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### getReport

          public String getReport(BDB db,
                         String linkValue,
                         javax.servlet.http.HttpServletRequest request,
                         String reportPath)

    - #### getReport

          public void getReport(BDB db,
                       javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response,
                       int reportType)

    - #### getDirectReport

          public void getDirectReport(BDB db,
                             javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response,
                             String reportPath,
                             String reportName)

    - #### setParams

          public void setParams(javax.servlet.http.HttpSession session,
                       String filterName,
                       String filterValue)

    - #### setParams

          public void setParams(String filterName,
                       String filterValue)

    - #### setParams

          public void setParams(Map<String,String> params)

Copyright © 2016 openBaraza. All Rights Reserved.